## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate aws-nitro-enclaves-cose

Name:           rust-aws-nitro-enclaves-cose
Version:        0.4.0
Release:        %autorelease
Summary:        Safe Rust implementation of COSE, with COSE Sign1 currently implemented

License:        Apache-2.0
URL:            https://crates.io/crates/aws-nitro-enclaves-cose
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump tss-esapi dependency from 6.1 to 7.0
Patch0:         aws-nitro-enclaves-cose-fix-metadata.diff
Patch1:         anec-fix-serdes.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
This library aims to provide a safe Rust implementation of COSE, with
COSE Sign1 currently implemented.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/NOTICE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+key_openssl_pkey-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+key_openssl_pkey-devel %{_description}

This package contains library source intended for building other packages which
use the "key_openssl_pkey" feature of the "%{crate}" crate.

%files       -n %{name}+key_openssl_pkey-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+key_tpm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+key_tpm-devel %{_description}

This package contains library source intended for building other packages which
use the "key_tpm" feature of the "%{crate}" crate.

%files       -n %{name}+key_tpm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tss-esapi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tss-esapi-devel %{_description}

This package contains library source intended for building other packages which
use the "tss-esapi" feature of the "%{crate}" crate.

%files       -n %{name}+tss-esapi-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 08 2024 Peter Robinson <pbrobinson@gmail.com> - 0.4.0-6
- Add patch to fix build against serdes

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-4
- Regenerate with rust2rpm v24

* Tue Feb 07 2023 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4.0-6
- Rebuild for tss-esapi 7.2.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Mar 22 2022 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4.0-3
- Rebuild for new rust-tss-esapi 7.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Oct 29 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4.0-1
- Initial package

## END: Generated by rpmautospec
